package com.example.cuida.data.model;

import com.google.firebase.firestore.DocumentId;

public class User {

    @DocumentId
    @com.google.firebase.firestore.Exclude
    public String id;

    @com.google.firebase.firestore.PropertyName("nome_completo")
    public String name;
    
    @com.google.firebase.firestore.PropertyName("email")
    public String email;
    
    @com.google.firebase.firestore.Exclude
    public String password;
    
    @com.google.firebase.firestore.PropertyName("idade")
    public int age;
    
    @com.google.firebase.firestore.PropertyName("numero_utente")
    public String utenteNumber;
    
    @com.google.firebase.firestore.PropertyName("profilePictureUri")
    public String profilePictureUri;

    @com.google.firebase.firestore.PropertyName("tipo")
    public String tipo = "paciente";

    // Required empty constructor for Firestore deserialization
    public User() {
    }

    public User(String name, String email, String password, int age, String utenteNumber) {
        this.name = name;
        this.email = email;
        this.password = password;
        this.age = age;
        this.utenteNumber = utenteNumber;
    }
    
    // --- Getters e Setters ---
    public String getName() { return name; }
    public void setName(String name) { this.name = name; }

    public int getAge() { return age; }
    public void setAge(int age) { this.age = age; }

    public String getUtenteNumber() { return utenteNumber; }
    public void setUtenteNumber(String utenteNumber) { this.utenteNumber = utenteNumber; }

    public String getTipo() { return tipo; }
    public void setTipo(String tipo) { this.tipo = tipo; }
}
